> ## Documentation Index
> Fetch the complete documentation index at: https://browseruse-0aece648-cursor-proxy-indicator-and-text-6cda.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Output File Presigned Url

> Get secure download URL for an output file generated by the AI agent.



## OpenAPI

````yaml cloud/openapi/v2.json get /files/tasks/{task_id}/output-files/{file_id}
openapi: 3.1.0
info:
  title: Browser Use Public API v2
  summary: Browser Use API for running web agents (v2)
  version: 2.0.0
servers:
  - url: https://api.browser-use.com/api/v2
    description: Production server
security: []
paths:
  /files/tasks/{task_id}/output-files/{file_id}:
    get:
      tags:
        - Files
      summary: Get Task Output File Presigned Url
      description: Get secure download URL for an output file generated by the AI agent.
      operationId: >-
        get_task_output_file_presigned_url_files_tasks__task_id__output_files__file_id__get
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Task Id
        - name: file_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: File Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskOutputFileResponse'
        '404':
          description: Task or file not found
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TaskNotFoundError'
                  - $ref: '#/components/schemas/OutputFileNotFoundError'
                title: >-
                  Response 404 Get Task Output File Presigned Url Files Tasks 
                  Task Id  Output Files  File Id  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Failed to generate download URL
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DownloadUrlGenerationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    TaskOutputFileResponse:
      properties:
        id:
          type: string
          format: uuid
          title: ID
          description: Unique identifier for the file
        fileName:
          type: string
          title: File Name
          description: Name of the file
        downloadUrl:
          type: string
          title: Download URL
          description: URL to download the file
      type: object
      required:
        - id
        - fileName
        - downloadUrl
      title: TaskOutputFileResponse
      description: Response model for output file requests.
    TaskNotFoundError:
      properties:
        detail:
          type: string
          title: Detail
          default: Task not found
      type: object
      title: TaskNotFoundError
      description: Error response when a task is not found
    OutputFileNotFoundError:
      properties:
        detail:
          type: string
          title: Detail
          default: Output file not found
      type: object
      title: OutputFileNotFoundError
      description: Error response when an output file is not found
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DownloadUrlGenerationError:
      properties:
        detail:
          type: string
          title: Detail
          default: Failed to generate download URL
      type: object
      title: DownloadUrlGenerationError
      description: Error response when download URL generation fails
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Browser-Use-API-Key

````